Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 741758 - Class not found exception in JAVA applets with Aurora and Nightly (Affects webmin file manager)
: Class not found exception in JAVA applets with Aurora and Nightly (Affects we...
: regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: John Schoenick [:johns]
: Benjamin Smedberg [:bsmedberg]
Depends on: 736965 745030
Blocks: CVE-2013-1717
  Show dependency treegraph
Reported: 2012-04-03 06:28 PDT by Danial Horton
Modified: 2012-12-04 08:30 PST (History)
12 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Danial Horton 2012-04-03 06:28:18 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120402 Firefox/14.0a1
Build ID: 20120402031127

Steps to reproduce:

Attempted to open the Webmin file manager in Aurora and Nightly

Actual results:

The applet failed to load due to a class not found exception
This is not reproducible in 11, 12 or IE9 but consistently reproducible in Aurora and nightly

Expected results:

The class should have been found, its not like its missing.
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2012-04-03 08:32:09 PDT
Danial, are you willing to hunt down a regression range?  Or at least link to the page showing the problem?
Comment 2 Danial Horton 2012-04-03 08:41:17 PDT
It occurs on all 13 aurora builds, so this would be a pretty big regression range to cover to go back through all the nightlies, and unfortunately i have a wedding coming up and am in the middle of travel preparations.

i tested 4 different clean profiles from 11 - 14 and only 13 and 14 result in classnotfoundexception when trying to load the webmin file manager, i also just reproduced it on the my sites java irc applet i'll generate a test account for mozdevs to access it from
Comment 3 Danial Horton 2012-04-03 08:51:12 PDT
i sent login info direct to your mail boris
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2012-04-03 08:58:45 PDT
You can binary search on nightlies, but I can totally understand that wedding travel would be more important.  ;)

The login info doesn't help much, because I don't have a functioning Java install, unfortunately....  Are you OK with me sharing the test account info with someone else who can try to reproduce?
Comment 5 Danial Horton 2012-04-03 09:00:20 PDT
Sure, i just didn't want to post it publicly because we already have spammers scraping sites for login data xD
Comment 6 Danial Horton 2012-04-03 09:13:08 PDT
oddly enough it does not affect all java applets.
Comment 7 Danial Horton 2012-04-03 09:18:05 PDT
i have tested a fresh webmin install on another domain and can still reproduce it, so its something specific to the way webmin and the pjirc applet work.
Comment 8 Danial Horton 2012-04-03 09:28:36 PDT
tested a demo pjirc elsewhere and it works :\

in that case it might be a difference between how the applet is created on php and html.
Comment 9 Danial Horton 2012-04-03 09:50:16 PDT
Great news, i found a demonstration case that has reassured me its not my sites server config xD

ok, navigate to
username: root
password: demo

the button on the left is OK

it will first load into virtualmin, you will want to click the webmin link at the top left
Once webmin has loaded, expand the Others drop down menu and select File Manager.

From what i can gather, applets executed in a page generated by php are failing to work on Aurora and nightly, while applets embedded on standard html page work fine.
Comment 10 Matthias Versen [:Matti] 2012-04-11 16:53:37 PDT
Last good nightly: 2012-02-29
First bad nightly: 2012-03-01

Comment 11 Matthias Versen [:Matti] 2012-04-11 16:56:43 PDT
Alice: Can you narrow down this to a single changeset ?
Comment 12 Boris Zbarsky [:bz] (still a bit busy) 2012-04-11 19:01:22 PDT
Given that range, I'll bet money it's a regression from bug 406541.

It also means it's a problem on Aurora too; nominating for tracking for 13.

John, do you have time to take a look?
Comment 13 John Schoenick [:johns] 2012-04-11 20:59:45 PDT
This is almost certainly a regression from 406541 -- I'm already working on a variant of this issue in Bug 736965
Comment 14 Alex Keybl [:akeybl] 2012-04-16 16:32:56 PDT
Looks like regressing bug 406541 will be backed out from FF13 shortly.
Comment 15 John Schoenick [:johns] 2012-04-17 13:36:35 PDT
The culprit was backed out of aurora so this now only affects 14+
Comment 16 Danial Horton 2012-05-06 08:00:54 PDT
Hows this going John, made any headway?
Comment 17 John Schoenick [:johns] 2012-05-06 17:04:11 PDT
Danial - 
This should be fixed when Bug 745030 lands, which should be this cycle (FF15). Either that change will be backported to FF14, or 406541 will be backed out from 14 before it hits beta.
Comment 18 Danial Horton 2012-05-06 21:58:00 PDT
alrighty, i'll cc on the other bug so im get up to date :)
Comment 19 Bruce 2012-05-27 11:54:27 PDT
Im not trying to dirty up this bug, but here are several examples to use for tests.  The ArcTest is a good example.
Comment 20 Alex Keybl [:akeybl] 2012-06-20 15:52:42 PDT
FF14 should no longer be affected, as bug 406541 was backed out of that branch. QA, please confirm.
Comment 21 Bruce 2012-06-21 04:25:00 PDT

Change set: f8d3886db65a

Confirmed it works.
Comment 22 Virgil Dicu [:virgil] [QA] 2012-07-02 05:15:24 PDT
Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0

I can also confirm on Ubuntu 12.04, Mac OS 10.8, Windows 7 using Daniel's steps from comment 9. Tested on Firefox 14 beta 10.
Comment 23 John Schoenick [:johns] 2012-07-19 18:52:40 PDT
406541 has been backed out of all branches, so this regression should be no more
Comment 24 Bruce 2012-07-19 20:34:38 PDT
First I must regress on my post 21.  Older applets still did not run on the FF ver 14 and earlier.  Mine did run - Im guessing at the time of builds that mine was 4/17/2010 and the applets from Oracle were earlier compilations.

I hate to be the messenger of bad news, but...

This does not appear fully corrected.

I just pulled the latest build: ChangeSet:  6d8456a77e57 for Firefox Ver 17.

Here are two different links for Java applets.

From Oracle Java 5 (These do not work):  I cannot determine the vintage/age of these applets or what platform they were developed.

This is one of my own developed with Java NetBeans (this works): Compiled 4/17/2010.

I am running Java(TM) Platform

If Im missing something, I apologize.

Firefox 15 July 19, 2012 Changeset: dc005f41ebdd - does not work with older Java applets

Firefox 16 July 19, 2012 Changeset: 1424be157414 - does not work with older Java applets


Additional info:
I looked at the source to evaluate the applet tag in the HTML and it appears the same as my own with the exception of the quote marks around the class and jar file names.

I attempted to pull the .class file for a couple of the java applets from Oracle and each time it did not find the .class file.

With the code only specifying the class and jar names, it seems they should appear in the current directory.  I tried a couple of variations of paths but still came up empty.

Ill be glad to help if I can.
Comment 25 Bruce 2012-07-19 20:50:27 PDT

I just went back to Minefield Ver 4.0b8pre - the Oracle applets did not run, but mine did.

Perhaps someone needs to contact Oracle and have them fix their site.
Comment 26 Bruce 2012-07-19 21:54:10 PDT
These also work fine in 4.0b8 and FF17 current release.

I have sent a message to Oracle about their applets from the above page.  I will post back if I hear from them.
Comment 27 Danial Horton 2012-07-20 13:38:16 PDT
thats because they are implemented in html and not php
Comment 28 Danial Horton 2012-07-20 13:41:35 PDT
John, when was that backed out?, im on a 17a build from the 18th, and its not fixed there.
Comment 29 John Schoenick [:johns] 2012-07-20 16:33:59 PDT
406541 was backed out here (with the wrong bug number it seems):

The applet does load for me in a FF17 nightly, but took ~30 seconds to finish loading. If something is still broken here it sounds like a new/separate bug

Note You need to log in before you can comment on or make changes to this bug.